Bug 448198 - Orca crashes at startup.
Orca crashes at startup.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: orca (Show other bugs)
9
All Linux
low Severity medium
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
http://bugs.debian.org/cgi-bin/bugrep...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-24 06:36 EDT by Diego
Modified: 2013-03-05 22:55 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 11:10:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Diego 2008-05-24 06:36:06 EDT
Description of problem:
Starting Orca screenreader results in Orca attempting to start but suddenly
crashing after reading a line.

Version-Release number of selected component (if applicable):
(taken from "yum info orca")
Nome       : orca
Arch       : i386
Versione    : 2.22.1
Release    : 2.fc9


How reproducible:
Always

Steps to Reproduce:
1. start orca (both from command line and from Alt+F2)

Actual results:
Orca crashes just after the start. However, at least, it seems to start as, some
seconds after the crash, you can hear the voice synthesizer reading the line
displayed before the crash: "Abilitare l'eco sulla parola?  Inserire sì o no"

Expected results:
Not to crash. :-)

Additional info:
Output from command line:
Benvenuto nelle impostazioni di Orca.
Abilitare l'eco sulla parola?  Inserire sì o no: 
Traceback (most recent call last):
  File "/usr/lib/python2.5/site-packages/orca/orca.py", line 996, in
_showPreferencesConsole
    module.showPreferencesUI(_commandLineSettings)
  File "/usr/lib/python2.5/site-packages/orca/orca_console_prefs.py", line 437,
in showPreferencesUI
    (not setupSpeech(prefsDict)):
  File "/usr/lib/python2.5/site-packages/orca/orca_console_prefs.py", line 299,
in setupSpeech
    speechVoiceChoice)
  File "/usr/lib/python2.5/site-packages/orca/orca_console_prefs.py", line 111,
in sayAndPrint
    return raw_input(text)
EOFError: EOF when reading a line
Comment 1 Benny 2008-06-01 06:45:21 EDT
Bug also occurs on x86_64

Name       : orca
Arch       : x86_64
Version    : 2.22.1
Release    : 2.fc9
 
Comment 2 Diego 2008-06-28 12:05:18 EDT
Bug persists in:
Arch       : i386
Versione    : 2.22.2
Release    : 1.fc9

taken from:
http://koji.fedoraproject.org/koji/buildinfo?buildID=50807
Comment 3 Diego 2008-07-19 10:26:28 EDT
Same in 2.22.3.
Comment 4 Christoph Wickert 2009-02-16 19:21:22 EST
Works for me with orca-2.24.3-1.fc10.i386
Comment 5 Bug Zapper 2009-06-09 21:08:24 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-07-14 11:10:53 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.